timetracker-frontend/
├── public/                     # Statische Dateien
│   ├── assets/
│   │   ├── images/
│   │   ├── icons/
│   │   └── fonts/
│   └── locales/                # Mehrsprachige Inhalte
│       ├── de/
│       └── en/
├── src/
│   ├── app/                    # Next.js 13+ App Router
│   │   ├── api/                # API-Routen (falls nötig)
│   │   ├── (auth)/             # Authentifizierungsseiten
│   │   │   ├── login/
│   │   │   └── register/
│   │   ├── dashboard/          # Dashboard-Seiten
│   │   │   ├── page.tsx
│   │   │   └── layout.tsx
│   │   ├── time-tracking/      # Zeiterfassungsseiten
│   │   │   ├── page.tsx
│   │   │   ├── [id]/
│   │   │   └── components/
│   │   ├── projects/           # Projektseiten
│   │   │   ├── page.tsx
│   │   │   └── [id]/
│   │   ├── customers/          # Kundenseiten
│   │   │   ├── page.tsx
│   │   │   └── [id]/
│   │   ├── reports/            # Berichtsseiten
│   │   │   ├── page.tsx
│   │   │   └── [type]/
│   │   ├── admin/              # Administrationsseiten
│   │   │   ├── users/
│   │   │   ├── companies/
│   │   │   └── settings/
│   │   ├── kanban/             # Kanban-Boards (Version 2)
│   │   │   ├── page.tsx
│   │   │   └── [id]/
│   │   ├── layout.tsx
│   │   └── page.tsx
│   ├── components/             # Wiederverwendbare Komponenten
│   │   ├── common/             # Allgemeine Komponenten
│   │   │   ├── Button.tsx
│   │   │   ├── Card.tsx
│   │   │   ├── Input.tsx
│   │   │   └── ...
│   │   ├── layout/             # Layout-Komponenten
│   │   │   ├── Navbar.tsx
│   │   │   ├── Sidebar.tsx
│   │   │   ├── Footer.tsx
│   │   │   └── ...
│   │   ├── dashboard/          # Dashboard-Komponenten
│   │   │   ├── ActivityChart.tsx
│   │   │   ├── RecentEntries.tsx
│   │   │   └── ...
│   │   ├── timetracker/        # Zeiterfassungskomponenten
│   │   │   ├── Timer.tsx
│   │   │   ├── EntryForm.tsx
│   │   │   └── ...
│   │   ├── reports/            # Berichtskomponenten
│   │   │   ├── ReportFilter.tsx
│   │   │   ├── Chart.tsx
│   │   │   └── ...
│   │   └── kanban/             # Kanban-Komponenten (Version 2)
│   │       ├── Board.tsx
│   │       ├── Column.tsx
│   │       ├── Card.tsx
│   │       └── ...
│   ├── hooks/                  # Custom React Hooks
│   │   ├── useAuth.ts
│   │   ├── useTimeTracking.ts
│   │   ├── useProjects.ts
│   │   └── ...
│   ├── lib/                    # Hilfsfunktionen und Bibliotheken
│   │   ├── api.ts              # API Client
│   │   ├── auth.ts             # Auth-Utilities
│   │   ├── date-utils.ts       # Date-Helpers
│   │   └── ...
│   ├── types/                  # TypeScript-Typdefinitionen
│   │   ├── auth.ts
│   │   ├── user.ts
│   │   ├── timeTracking.ts
│   │   ├── project.ts
│   │   └── ...
│   ├── store/                  # State Management (falls benötigt)
│   │   ├── slices/
│   │   └── index.ts
│   ├── styles/                 # CSS/SCSS Styles
│   │   ├── globals.css
│   │   └── theme.ts
│   └── utils/                  # Allgemeine Hilfsfunktionen
│       ├── format.ts
│       ├── validation.ts
│       └── ...
├── .env.local.example
├── .eslintrc.json
├── next.config.js
├── package.json
├── tailwind.config.js
├── tsconfig.json
├── jest.config.js              # Test-Konfiguration
├── postcss.config.js           # PostCSS-Konfiguration
└── README.md